<?php

/**
 * @file
 * Provides default Views implementations for Fortissimmo accounts
 */

/**
 * Implementation of hook_views_default_views().
 */
function fortissimmo_views_default_views() {
  $accounts = fortissimmo_get_accounts();

  /*
   * View 'fortissimmo_<accountid>_property_detail'
   */
  if ($accounts) {
    foreach ($accounts as $accountid => $accountname) {
      $view = new view;
      $view->name = 'fortissimmo_' . $accountid . '_property_detail';
      $view->description = 'Default output for a Fortissimmo property detail page for account ' . check_plain($accountname);
      $view->tag = 'fortissimmo';
      $view->view_php = '';
      $view->base_table = 'tbl' . $accountid . '_pand';
      $view->is_cacheable = FALSE;
      $view->api_version = 2;
      $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
      $handler = $view->new_display('default', 'Defaults', 'default');
      $handler->override_option('fields', array(
        'title' => array(
          'label' => '',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'target' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'html' => 0,
            'strip_tags' => 0,
          ),
          'empty' => '',
          'hide_empty' => 0,
          'empty_zero' => 0,
          'exclude' => 0,
          'id' => 'title',
          'table' => 'tbl' . $accountid . '_pand',
          'field' => 'title',
          'relationship' => 'none',
          'fortissimmo_title_make_link' => 0,
          'fortissimmo_title_reference_fallback' => 1,
        ),
        'description' => array(
          'label' => 'Description',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'target' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'html' => 0,
            'strip_tags' => 0,
          ),
          'empty' => '',
          'hide_empty' => 1,
          'empty_zero' => 0,
          'exclude' => 0,
          'id' => 'description',
          'table' => 'tbl' . $accountid . '_pand',
          'field' => 'description',
          'relationship' => 'none',
        ),
        'reference' => array(
          'label' => 'Reference',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'target' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'html' => 0,
            'strip_tags' => 0,
          ),
          'empty' => '',
          'hide_empty' => 1,
          'empty_zero' => 0,
          'exclude' => 0,
          'id' => 'reference',
          'table' => 'tbl' . $accountid . '_pand',
          'field' => 'reference',
          'relationship' => 'none',
        ),
      ));
      $handler->override_option('arguments', array(
        'fortissimmo' => array(
          'default_action' => 'not found',
          'style_plugin' => 'default_summary',
          'style_options' => array(),
          'wildcard' => 'all',
          'wildcard_substitution' => 'Alle',
          'title' => '%1',
          'breadcrumb' => '%1',
          'default_argument_type' => 'fixed',
          'default_argument' => '',
          'validate_type' => 'none',
          'validate_fail' => 'not found',
          'break_phrase' => 0,
          'not' => 0,
          'id' => 'fortissimmo',
          'table' => 'tbl' . $accountid . '_pand',
          'field' => 'fortissimmo',
          'validate_user_argument_type' => 'uid',
          'validate_user_roles' => array(),
          'relationship' => 'none',
          'default_options_div_prefix' => '',
          'default_argument_fixed' => '',
          'default_argument_user' => 0,
          'default_argument_php' => '',
          'validate_argument_node_type' => array(),
          'validate_argument_node_access' => 0,
          'validate_argument_nid_type' => 'nid',
          'validate_argument_vocabulary' => array(),
          'validate_argument_type' => 'tid',
          'validate_argument_transform' => 0,
          'validate_user_restrict_roles' => 0,
          'validate_argument_php' => '',
        ),
      ));
      $handler->override_option('access', array(
        'type' => 'none',
      ));
      $handler->override_option('cache', array(
        'type' => 'none',
      ));
      $handler->override_option('items_per_page', 1);
      $handler->override_option('style_plugin', 'list');
      $handler->override_option('style_options', array(
        'grouping' => '',
        'type' => 'ul',
      ));
      $views[$view->name] = $view;
    }
  }

  return $views;
}
