<?php

/**
 * @file
 * Handler for the property price field
 * Adds check for price_visible value
 */
class views_handler_field_price extends views_handler_field_numeric {

  function init(&$view, $options) {
    parent::init($view, $options);
    $this->additional_fields = array(
      'price_visible' => array('table' => $view->base_table, 'field' => 'price_visible'),
    );
  }

  function render($values) {
    $visible_value = 0;
    if (isset($this->aliases['price_visible'])) {
      $visible_value = $values->{$this->aliases['price_visible']};
    }
    if ($visible_value) {
      return parent::render($values);
    }
    else {
      return NULL;
    }
  }
}